> ## Documentation Index
> Fetch the complete documentation index at: https://alltick.co/apis/llms.txt
> Use this file to discover all available pages before exploring further.

# 最新报价

### 接口说明

该接口支持批量请求产品的最新成交价（最新逐笔Tick数据、也是当前价、最新价），不支持请求历史成交价（历史逐笔tick数据）。

```http theme={null}
POST /v1/quote
```

| 产品类型 | 请求地址 |
| - | - |
| 美股、港股、A股、大盘数据 | `https://quote.alltick.co/quote-stock-b-api/v1/quote` |
| 外汇、贵金属、加密货币、原油、CFD指数、商品 | `https://quote.alltick.co/quote-b-api/v1/quote` |

### 请求参数

| 参数 | 类型 | 必填 | 说明 |
| - | - | - | - |
| `X-API-Key` | string | 是 | 请求头中的身份认证令牌 |
| `body` | string | 是 | JSON 请求内容 |

### body 请求内容

```json theme={null}
{
  "trace": "edd5df80-df7f-4acf-8f67-68fd2f096426",
  "data": {
    "symbol_list": [{"code": "857.HK"}, {"code": "UNH.US"}]
  }
}
```

| 名称 | 类型 | 必选 | 说明 |
| - | - | - | - |
| `trace` | string | 是 | 请求追踪码 |
| `data` | object | 是 | 请求数据 |
| `symbol_list` | array | 是 | 产品列表 |
| `code` | string | 否 | 产品代码，大小写与产品列表保持一致 |

### 返回示例

```json theme={null}
{
  "ret": 200,
  "msg": "ok",
  "trace": "edd5df80-df7f-4acf-8f67-68fd2f096426",
  "data": {
    "tick_list": [{"code":"857.HK","seq":"30841439","tick_time":"1677831545217","price":"136.302","volume":"0","turnover":"0","trade_direction":0}]
  }
}
```

### 返回字段

| 字段 | 类型 | 说明 |
| - | - | - |
| `code` | string | 产品代码 |
| `seq` | string | 序号 |
| `tick_time` | string | 时间戳 |
| `price` | string | 成交价 |
| `volume` | string | 成交量 |
| `turnover` | string | 成交额 |
| `trade_direction` | integer | 0=中性盘，1=Buy，2=SELL；外汇、贵金属、能源默认返回1 |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.